phpLDAPadmin

# Class: AttributeType

Source Location: /templates/3rdParty/pla/lib/schema_functions.php

### Class Overview

    SchemaItem
       |
       --AttributeType

Represents an LDAP AttributeType

### Methods

- __construct
- addAlias
- addRequiredByObjectClass
- addUsedInObjectClass
- getAliases
- getEquality
- getIsCollective
- getIsNoUserModification
- getIsSingleValue
- getMaxLength
- getOrdering
- getRequiredByObjectClasses
- getSubstr
- getSupAttribute
- getSyntaxOID
- getSyntaxString
- getType
- getUsage
- getUsedInObjectClasses
- isAliasFor
- isForceMay
- removeAlias
- setAliases
- setForceMay
- setIsSingleValue
- setName
- setSupAttribute
- setType

### Inherited Variables

#### Class: SchemaItem

SchemaItem::$description
SchemaItem::$name

### Inherited Methods

#### Class: SchemaItem

SchemaItem::getDescription()
SchemaItem::getIsObsolete()
  Gets whether this objectClass is flagged as obsolete by the LDAP server.
SchemaItem::getName()
  Return the objects name.
SchemaItem::getOID()
SchemaItem::setDescription()
SchemaItem::setOID()

### Class Details

[line 704]
Represents an LDAP AttributeType
[ Top ]

### Class Methods

### constructor __construct [line 740]

`AttributeType __construct( $attr)`

Creates a new AttributeType object from a raw LDAP AttributeType string.

#### Tags:

access: | public

#### Parameters:

| $attr |

[ Top ]

### method addAlias [line 1143]

`void addAlias( string $alias)`

Adds an attribute name to the alias array.

#### Tags:

access: | public

#### Parameters:

string | $alias | The name of a new attribute to add to this attribute's list of aliases.

[ Top ]

### method addRequiredByObjectClass [line 1238]

`void addRequiredByObjectClass( string $name)`

Adds an objectClass name to this attribute's list of "required by" objectClasses, that is the list of objectClasses which must have this attribute.

#### Tags:

access: | public

#### Parameters:

string | $name | The name of the objectClass to add.

[ Top ]

### method addUsedInObjectClass [line 1204]

`void addUsedInObjectClass( string $name)`

Adds an objectClass name to this attribute's list of "used in" objectClasses, that is the list of objectClasses which provide this attribute.

#### Tags:

access: | public

#### Parameters:

string | $name | The name of the objectClass to add.

[ Top ]

### method getAliases [line 991]

`array getAliases( )`

Gets the names of attributes that are an alias for this attribute (if any).

#### Tags:

return: | An array of names of attributes which alias this attribute or an empty array if no attribute aliases this object.
access: | public

[ Top ]

### method getEquality [line 954]

`string getEquality( )`

Gets this attribute's equality string

#### Tags:

access: | public

[ Top ]

### method getIsCollective [line 1084]

`boolean getIsCollective( )`

Gets whether this attribute is collective.

#### Tags:

return: | Returns true if this attribute is collective and false otherwise.
access: | public

[ Top ]

### method getIsNoUserModification [line 1096]

`boolean getIsNoUserModification( )`

Gets whether this attribute is not modifiable by users.

#### Tags:

return: | Returns true if this attribute is not modifiable by users.
access: | public

[ Top ]

### method getIsSingleValue [line 1060]

`boolean getIsSingleValue( )`

Gets whether this attribute is single-valued. If this attribute only supports single values, true is returned. If this attribute supports multiple values, false is returned.

#### Tags:

return: | Returns true if this attribute is single-valued or false otherwise.
access: | public

[ Top ]

### method getMaxLength [line 1047]

`int getMaxLength( )`

Gets this attribute's the maximum length. If no maximum is defined by the LDAP server, null is returned.

#### Tags:

return: | The maximum length (in characters) of this attribute or null if no maximum is specified.
access: | public

[ Top ]

### method getOrdering [line 966]

`string getOrdering( )`

Gets this attribute's ordering specification.

#### Tags:

access: | public

[ Top ]

### method getRequiredByObjectClasses [line 1255]

`array getRequiredByObjectClasses( )`

Gets the list of "required by" objectClasses, that is the list of objectClasses which provide must have attribute.

#### Tags:

return: | An array of names of objectclasses (strings) which provide this attribute
access: | public

[ Top ]

### method getSubstr [line 978]

`string getSubstr( )`

Gets this attribute's substring matching specification

#### Tags:

access: | public

[ Top ]

### method getSupAttribute [line 942]

`string getSupAttribute( )`

Gets this attribute's parent attribute (if any). If this attribute does not inherit from another attribute, null is returned.

#### Tags:

access: | public

[ Top ]

### method getSyntaxOID [line 1035]

`string getSyntaxOID( )`

Gets this attribute's syntax OID. Differs from getSyntaxString() in that this function only returns the actual OID with any length specification removed.

Ie, if the syntax string is "1.2.3.4{16}", this function only retruns "1.2.3.4".

#### Tags:

return: | The syntax OID string.
access: | public

[ Top ]

### method getSyntaxString [line 1020]

`string getSyntaxString( )`

Gets this attribute's raw syntax string (ie: "1.2.3.4{16}").

#### Tags:

return: | The raw syntax string
access: | public

[ Top ]

### method getType [line 1108]

`string getType( )`

Gets this attribute's type

#### Tags:

return: | The attribute's type.
access: | public

[ Top ]

### method getUsage [line 929]

`string getUsage( )`

Gets this attribute's usage string as defined by the LDAP server

#### Tags:

access: | public

[ Top ]

### method getUsedInObjectClasses [line 1225]

`array getUsedInObjectClasses( )`

Gets the list of "used in" objectClasses, that is the list of objectClasses which provide this attribute.

#### Tags:

return: | An array of names of objectclasses (strings) which provide this attribute
access: | public

[ Top ]

### method isAliasFor [line 1004]

`boolean isAliasFor( string $attr_name)`

Returns whether the specified attribute is an alias for this one (based on this attribute's alias list).

#### Tags:

return: | True if the specified attribute is an alias for this one, or false otherwise.
access: | public

#### Parameters:

string | $attr_name | The name of the attribute to check.

[ Top ]

### method isForceMay [line 1272]

`void isForceMay( )`

#### Tags:

access: | public

[ Top ]

### method removeAlias [line 1122]

`boolean removeAlias( string $remove_alias_name)`

Removes an attribute name from this attribute's alias array.

#### Tags:

return: | true on success or false on failure (ie, if the specified attribute name is not found in this attribute's list of aliases)
access: | public

#### Parameters:

string | $remove_alias_name | The name of the attribute to remove.

[ Top ]

### method setAliases [line 1179]

`void setAliases( array $aliases)`

Sets this attribute's list of aliases.

#### Tags:

access: | public

#### Parameters:

array | $aliases | The array of alias names (strings)

[ Top ]

### method setForceMay [line 1265]

`void setForceMay( )`

This function will mark this attribute as a forced MAY attribute

#### Tags:

access: | public

[ Top ]

### method setIsSingleValue [line 1072]

`void setIsSingleValue( boolean $is)`

Sets whether this attribute is single-valued.

#### Tags:

access: | public

#### Parameters:

boolean | $is |

[ Top ]

### method setName [line 1155]

`void setName( string $name)`

Sets this attriute's name.

#### Tags:

access: | public

#### Parameters:

string | $name | The new name to give this attribute.

[ Top ]

### method setSupAttribute [line 1167]

`void setSupAttribute( string $attr)`

Sets this attriute's SUP attribute (ie, the attribute from which this attribute inherits).

#### Tags:

access: | public

#### Parameters:

string | $attr | The name of the new parent (SUP) attribute

[ Top ]

### method setType [line 1191]

`void setType( string $type)`

Sets this attribute's type.

#### Tags:

access: | public

#### Parameters:

string | $type | The new type.

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:09 +0100 by phpDocumentor 1.4.1